summaryrefslogtreecommitdiff
path: root/dev-cpp
diff options
context:
space:
mode:
authorGravatar Chris Xiong <chirs241097@gmail.com> 2021-10-14 19:01:18 -0400
committerGravatar Chris Xiong <chirs241097@gmail.com> 2021-10-14 19:01:18 -0400
commit846cdbdbf965fc50478bcc4c6436e3dc6a489f3f (patch)
tree4a39385c982291a110f513871aba340f0a7a061e /dev-cpp
downloadppo-846cdbdbf965fc50478bcc4c6436e3dc6a489f3f.tar.xz
Initial commit.
Diffstat (limited to 'dev-cpp')
-rw-r--r--dev-cpp/pystring/Manifest2
-rw-r--r--dev-cpp/pystring/pystring-1.1.3-r1.ebuild37
2 files changed, 39 insertions, 0 deletions
diff --git a/dev-cpp/pystring/Manifest b/dev-cpp/pystring/Manifest
new file mode 100644
index 0000000..a6e3704
--- /dev/null
+++ b/dev-cpp/pystring/Manifest
@@ -0,0 +1,2 @@
+DIST pystring-1.1.3.tar.gz 18364 BLAKE2B caab1a3b1dc688ad6ecbb32e5e8139bb883a88b78ce8a021229924d57376e94b17d89277e2fccf4f7ec478c81ee9259c5e56848f4388c44b2eab9cfb841bcfb8 SHA512 a46bb2e96d6eb351a4a8097cde46ac2877d28e88f9e57e0ac36c42e8fc8543517c4be70306a01e2f88a891fc53c612494aeb37f47a200d94b8e1b050ed16eff6
+EBUILD pystring-1.1.3-r1.ebuild 845 BLAKE2B caf0280c8b205c0b4663aa72a55cf287dc35a2a3edfad560f9dd3a18c938708a67ac06e912e8ffcc31b00cdf6e5db206e8d87966bda2ced5d9c878b8c4874887 SHA512 5616b6e847d6599d46d5b708a0963b7117a9ee09f4d9d788e04b78d69dd07ef9f7bb4d6e2867edbdecc6446e26d37a7bb4d03ac3f6f4c736ed0546b88d35630f
diff --git a/dev-cpp/pystring/pystring-1.1.3-r1.ebuild b/dev-cpp/pystring/pystring-1.1.3-r1.ebuild
new file mode 100644
index 0000000..7694add
--- /dev/null
+++ b/dev-cpp/pystring/pystring-1.1.3-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="C++ functions matching the interface and behavior of python string methods"
+HOMEPAGE="https://github.com/imageworks/pystring"
+
+if [[ "${PV}" == "9999" ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/imageworks/pystring.git"
+else
+ SRC_URI="https://github.com/imageworks/pystring/archive/v"${PV}".tar.gz -> "${P}".tar.gz"
+ KEYWORDS="~amd64"
+fi
+
+BDEPEND="
+ virtual/libc
+ sys-devel/libtool
+"
+RESTRICT="mirror"
+
+LICENSE="BSD"
+SLOT="0"
+
+src_compile() {
+ sed -i -e "s|-O3|${CXXFLAGS}|g" Makefile || die
+ emake LIBDIR="${S}" install
+ #Fix header location
+ mkdir ${S}/pystring || die
+ mv ${S}/pystring.h ${S}/pystring || die
+}
+
+src_install() {
+ dolib.so ${S}/libpystring.so{,.0{,.0.0}}
+ doheader -r ${S}/pystring
+}